import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";

export class ProtocolPresenceExcuse1737287798828 implements MigrationInterface {
  name = "ProtocolPresenceExcuse1737287798828";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "protocol_presence",
      new TableColumn({
        name: "excused",
        type: "tinyint",
        default: "1",
        isNullable: false,
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("protocol_presence", "excused");
  }
}
